#include "execute.h"
#include "d3q27.h"

int main(int argc, char* argv[])
{
	execute<D3Q27_SRT<D3Q27_M1>>(NSE);
	execute<D3Q27_MRT1<D3Q27_M1>>(NSE);
	execute<D3Q27_MRT2<D3Q27_M1>>(NSE);
	execute<D3Q27_CLBM1<D3Q27_M1>>(NSE);
	execute<D3Q27_CLBM2<D3Q27_M1>>(NSE);
	execute<D3Q27_CuLBM1<D3Q27_M1>>(NSE);
	execute<D3Q27_CuLBM2<D3Q27_M1>>(NSE);
}
